//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;


namespace MindFusion.Reporting.WinForms.Samples.CS.ListBinding
{
	public class MovieData
	{
		public MovieData()
		{
			items = new List<MovieInfo>();

			MovieInfo info;

			info = new MovieInfo();
			info.Name = "The Shawshank Redemption";
			info.Image = Properties.Resources.The_Shawshank_Redemption;
			info.Rating = 9.2;
			info.Director = "Frank Darabont";
			info.Writers = "Stephen King, Frank Darabont";
			info.Genre = MovieGenres.Crime | MovieGenres.Drama;
			info.ReleaseDate = new DateTime(1994, 09, 23);
			info.Tagline = "Fear can hold you prisoner. Hope can set you free.";
			info.Plot = "Two imprisoned men bond over a number of years, finding solace and eventual redemption through acts of common decency.";
			info.Cast = "Tim Robbins, Morgan Freeman, Bob Gunton, William Sadler";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "The Godfather";
			info.Image = Properties.Resources.The_Godfather;
			info.Rating = 9.2;
			info.Director = "Francis Ford Coppola";
			info.Writers = "Mario Puzo";
			info.Genre = MovieGenres.Crime | MovieGenres.Drama | MovieGenres.Thriller;
			info.ReleaseDate = new DateTime(1972, 03, 24);
			info.Tagline = "An offer you can't refuse.";
			info.Plot = "The aging patriarch of an organized crime dynasty transfers control of his clandestine empire to his reluctant son.";
			info.Cast = "Marlon Brando, Al Pacino, James Caan, Richard S. Castellano, Robert Duvall";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Pulp Fiction";
			info.Image = Properties.Resources.Pulp_Fiction;
			info.Rating = 8.9;
			info.Director = "Quentin Tarantino";
			info.Writers = "Quentin Tarantino, Roger Avary";
			info.Genre = MovieGenres.Crime | MovieGenres.Drama;
			info.ReleaseDate = new DateTime(1994, 10, 14);
			info.Tagline = "Girls like me don't make invitations like this to just anyone!";
			info.Plot = "The lives of two mob hit men, a boxer, a gangster's wife, and a pair of diner bandits intertwine in four tales of violence and redemption.";
			info.Cast = "John Travolta, Samuel L. Jackson, Tim Roth, Amanda Plummer, Eric Stoltz, Bruce Willis";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Star Wars: Episode V - The Empire Strikes Back";
			info.Image = Properties.Resources.Star_Wars;
			info.Rating = 8.8;
			info.Director = "Irvin Kershner";
			info.Writers = "Leigh Brackett, Lawrence Kasdan";
			info.Genre = MovieGenres.Action | MovieGenres.Adventure | MovieGenres.SciFi;
			info.ReleaseDate = new DateTime(1984, 04, 23);
			info.Tagline = "The Adventure Continues...";
			info.Plot = "While Luke takes advanced Jedi training from Yoda, his friends are relentlessly pursued by Darth Vader as part of his plan to capture Luke.";
			info.Cast = "Mark Hamill, Harrison Ford, Carrie Fisher";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "The Lord of the Rings: The Return of the King";
			info.Image = Properties.Resources.The_Lord_of_the_Rings;
			info.Rating = 8.8;
			info.Director = "Peter Jackson";
			info.Writers = "J.R.R. Tolkien, Fran Walsh";
			info.Genre = MovieGenres.Action | MovieGenres.Adventure | MovieGenres.Fantasy;
			info.ReleaseDate = new DateTime(2004, 10, 01);
			info.Tagline = "The eye of the enemy is moving.";
			info.Plot = "The former Fellowship of the Ring prepare for the final battle for Middle Earth, while Frodo & Sam approach Mount Doom to destroy the One Ring.";
			info.Cast = "Sean Bean, Cate Blanchett, Orlando Bloom, Billy Boyd";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Fight Club";
			info.Image = Properties.Resources.Fight_Club;
			info.Rating = 8.7;
			info.Director = "David Fincher";
			info.Writers = "Chuck Palahniuk, Jim Uhls";
			info.Genre = MovieGenres.Crime | MovieGenres.Drama | MovieGenres.Thriller;
			info.ReleaseDate = new DateTime(1999, 10, 15);
			info.Tagline = "How much can you know about yourself if you've never been in a fight?";
			info.Plot = "An office employee and a soap salesman build a global organization to help vent male aggression.";
			info.Cast = "Edward Norton, Brad Pitt, Helena Bonham Carter, Meat Loaf";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Raiders of the Lost Ark";
			info.Image = Properties.Resources.Raiders_of_the_Lost_Ark;
			info.Rating = 8.5;
			info.Director = "Steven Spielberg";
			info.Writers = "Lawrence Kasdan, George Lucas";
			info.Genre = MovieGenres.Action | MovieGenres.Adventure;
			info.ReleaseDate = new DateTime(1981, 12, 6);
			info.Tagline = "Indiana Jones - the new hero from the creators of JAWS and STAR WARS.";
			info.Plot = "Archeologist and adventurer Indiana Jones is hired by the US government to find the Ark of the Covenant before the Nazis.";
			info.Cast = "Harrison Ford, Karen Allen, Paul Freeman, Ronald Lacey, John Rhys-Davies";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "The Usual Suspects";
			info.Image = Properties.Resources.The_Usual_Suspects;
			info.Rating = 8.4;
			info.Director = "Bryan Singer";
			info.Writers = "Christopher McQuarrie";
			info.Genre = MovieGenres.Crime | MovieGenres.Mystery | MovieGenres.Thriller;
			info.ReleaseDate = new DateTime(1995, 8, 16);
			info.Tagline = "Five Criminals. One Line Up. No Coincidence";
			info.Plot = "A boat has been destroyed, criminals are dead, and the key to this mystery lies with the only survivor and his twisted, convoluted story beginning with five career crooks in a seemingly random police lineup.";
			info.Cast = "Stephen Baldwin, Gabriel Byrne, Benicio Del Toro, Kevin Pollak, Kevin Spacey";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "The Silence of the Lambs";
			info.Image = Properties.Resources.The_Silence_of_the_Lambs;
			info.Rating = 8.1;
			info.Director = "Jonathan Demme";
			info.Writers = "Thomas Harris, Ted Tally";
			info.Genre = MovieGenres.Crime | MovieGenres.Thriller;
			info.ReleaseDate = new DateTime(1991, 2, 14);
			info.Tagline = "Dr. Hannibal Lecter. Brilliant. Cunning. Psychotic. In his mind lies the clue to a ruthless killer. - Clarice Starling, FBI. Brilliant. Vulnerable. Alone. She must trust him to stop the killer.";
			info.Plot = "A young FBI cadet must confide in an incarcerated and manipulative killer to receive his help on catching another serial killer who skins his victims.";
			info.Cast = "Jodie Foster, Scott Glenn, Anthony Hopkins";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "The Matrix";
			info.Image = Properties.Resources.The_Matrix;
			info.Rating = 8.7;
			info.Director = "Wachowski";
			info.Writers = "Andy Wachowski, Lana Wachowski";
			info.Genre = MovieGenres.Action | MovieGenres.Adventure | MovieGenres.SciFi | MovieGenres.Thriller;
			info.ReleaseDate = new DateTime(1999, 3, 9);
			info.Tagline = "Free your mind";
			info.Plot = "A computer hacker learns from mysterious rebels about the true nature of his reality and his role in the war against the controllers of it.";
			info.Cast = "Keanu Reeves, Laurence Fishburne, Carrie-Anne Moss, Hugo Weaving";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Memento";
			info.Image = Properties.Resources.Memento;
			info.Rating = 8.6;
			info.Director = "Christopher Nolan";
			info.Writers = "Jonathan Nolan, Christopher Nolan";
			info.Genre = MovieGenres.Mystery | MovieGenres.Thriller;
			info.ReleaseDate = new DateTime(2002, 11, 29);
			info.Tagline = "Some memories are best forgotten";
			info.Plot = "A man, suffering from short-term memory loss, uses notes and tattoos to hunt for the man he thinks killed his wife.";
			info.Cast = "Guy Pearce, Carrie-Anne Moss, Joe Pantoliano";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Forrest Gump";
			info.Image = Properties.Resources.Forest_Gump;
			info.Rating = 8.6;
			info.Director = "Robert Zemeckis";
			info.Writers = "Winston Groom, Eric Roth";
			info.Genre = MovieGenres.Drama | MovieGenres.Romance;
			info.ReleaseDate = new DateTime(1994, 6, 7);
			info.Tagline = "The story of a lifetime.";
			info.Plot = "Forrest Gump, while not intelligent, has accidentally been present at many historic moments, but his true love, Jenny, eludes him.";
			info.Cast = "Tom Hanks, Robin Wright Penn, Gary Sinise";
			items.Add(info);

			info = new MovieInfo();
			info.Name = "Avatar";
			info.Image = Properties.Resources.Avatar;
			info.Rating = 8.5;
			info.Director = "James Cameron";
			info.Writers = "James Cameron";
			info.Genre = MovieGenres.Action | MovieGenres.Adventure | MovieGenres.SciFi;
			info.ReleaseDate = new DateTime(2009, 12, 17);
			info.Tagline = "Enter the World";
			info.Plot = "A paraplegic marine dispatched to the moon Pandora on a unique mission becomes torn between following his orders and protecting the world he feels is his home.";
			info.Cast = "Sam Worthington, Zoe Saldana, Sigourney Weaver, Stephen Lang";
			items.Add(info);
		}


		public MovieInfo[] Items
		{
			get { return items.ToArray(); }
		}


		private List<MovieInfo> items;
	}
}
